Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#11097 closed defect (fixed)

Date field gets expanded to java .toString() format during shapefile import

Reported by: StefanB Owned by: Don-vip
Priority: normal Milestone:
Component: Plugin opendata Version: tested
Keywords: template_report date shp shapefile iso Cc:

Description (last modified by StefanB)

What steps will reproduce the problem?

  1. Importa a .shp file with a date field in one of the fields into JOSM (sample attached)
  2. check the date tag in JOSM
  3. note that date tag was formatted into default java format (eg: 2015-01-13 -> 'Tue Jan 13 00:00:00 CET 2015')

What is the expected result?

Tag value should be formatted in a OSM adopted standard ISO format, eg '2015-01-13'

What happens instead?

Date gets formatted into default java format: 'Tue Jan 13 00:00:00 CET 2015'

Please provide any additional information below. Attach a screenshot if possible.

Revision: 7995
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: Don-vip
Last Changed Date: 2015-01-31 15:17:59 +0100 (Sat, 31 Jan 2015)
Build-Date: 2015-02-01 02:33:54
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 7995

Identification: JOSM/1.5 (7995 en) Windows 7 64-Bit
Memory Usage: 573 MB / 1799 MB (37 MB allocated, but free)
Java version: 1.8.0_25, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_25\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Users\stefan\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-50c8d4e3, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=51003, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20uam5scAA=]
Dataset consistency test: No problems found

Plugins:
- SimplifyArea (30892)
- geotools (30892)
- jts (30892)
- opendata (30911)
- todo (29154)
- utilsplugin2 (30892)

Last errors/warnings:
- E: java.lang.NullPointerException

Attachments (1)

raba82dissJosm.zip (1.4 KB) - added by StefanB 5 years ago.
Sample shapefile

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by StefanB

Attachment: raba82dissJosm.zip added

Sample shapefile

comment:1 Changed 5 years ago by StefanB

Description: modified (diff)
Summary: ISO date gets expanded to java .toString() format during shapefile importDate field gets expanded to java .toString() format during shapefile import

comment:2 Changed 5 years ago by StefanB

Workaround: have the field of text type with value as expected, not date type

comment:3 Changed 5 years ago by Don-vip

Keywords: date shp shapefile iso added

comment:4 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o30982:30983].

comment:5 Changed 5 years ago by StefanB

Thank you, it works nicely now!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.